using System.Windows;
using MECF.Framework.UI.Client.Ctrlib.Controls;
using MECF.Framework.UI.Client.RecipeEditorLib.DGExtension.CustomColumn;

namespace MECF.Framework.UI.Client.CenterViews.Editors.Recipe
{
    /// <summary>
    /// Interaction logic for RecipePM1View.xaml
    /// </summary>
    public partial class RecipeEditorView
    {
        public RecipeEditorView()
        {
            InitializeComponent();
        }
        EditorDataGridTemplateColumnBase _PreColumn = null;

        private void btnLock_Click(object sender, RoutedEventArgs e)
        {
            editorLocker.Lock();
        }

        private void btnChangePassword_Click(object sender, RoutedEventArgs e)
        {
            var dlg = new PanelLockerPasswordChanger();
            dlg.ShowDialog();
        }
    }
}
